# $Revision: 1.19 $, $Date: 2011/10/11 08:55:10 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Size
Summary:	Devel::Size - finding the memory usage of Perl variables
Summary(pl.UTF-8):	Devel::Size - określanie zużycia pamięci przez zmienne Perla
Name:		perl-Devel-Size
Version:	0.71
Release:	4
# same as perl itself (as stated in COPYRIGHT section of pod)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9504441ae609b39d70384a9fdc186362
URL:		http://search.cpan.org/dist/Devel-Size/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module figures out the real sizes of Perl variables in bytes.
Call functions with a reference to the variable you want the size
of.  If the variable is a plain scalar it returns the size of
the scalar.  If the variable is a hash or an array, use a reference
when calling.

%description -l pl.UTF-8
Ten moduł oblicza prawdziwe rozmiary zmiennych perlowych w bajtach.
Wystarczy wywołać funkcję z referencją do zmiennej, której rozmiar
chce się poznać. Jeśli zmienna jest skalarem, zwraca rozmiar skalara.
Jeśli zmienna jest haszem lub tablicą, należy użyć referencji przy
wywołaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorarch}/Devel/Size.pm
%dir %{perl_vendorarch}/auto/Devel/Size
%{perl_vendorarch}/auto/Devel/Size/Size.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Size/Size.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Size.spec,v $
Revision 1.19  2011/10/11 08:55:10  lisu
- rel 4

Revision 1.18  2010/11/12 23:38:04  pawelz
- release 3

Revision 1.17  2010/06/06 08:35:00  arekm
- release 2

Revision 1.16  2008/12/14 12:10:39  agaran
- up to 0.71

Revision 1.15  2008/03/02 17:30:29  radek
- release 1

Revision 1.14  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.13  2007-12-24 12:20:03  qboosh
- generic URL

Revision 1.12  2007-12-23 23:21:19  zbyniu
- up to 0.69

Revision 1.11  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.9  2006/01/22 12:14:03  agaran
- up to 0.64 rel 0.1 licence is GPL v1 or Artistic (see COPYING in pod/man)

Revision 1.8  2004/12/01 17:32:11  radek
- autoupdated to 0.59

Revision 1.7  2004/11/03 22:30:19  paladine
- formatting

Revision 1.6  2004/10/24 14:35:09  paladine
- spelling fix

Revision 1.5  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.4  2004/04/20 10:48:44  ankry
- shorter summary

Revision 1.3  2004/04/12 00:20:42  qboosh
- pl, doc, missing dir, License changed to unknown (I have't found any info)

Revision 1.2  2004/04/11 11:16:39  migo
- pass rpmcflags, cosmetics

Revision 1.1  2004/04/11 10:39:36  agaran
new spec
